/*
 * Copyright (c) 2014 phrebejk.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    phrebejk - initial API and implementation and/or initial documentation
 */

package com.tasktop.c2c.server.scm.domain;

import java.io.Serializable;
import java.util.Map;

/**
 *
 * @author phrebejk
 */
public class Merge implements Serializable{
    
    private static final long serialVersionUID = 1L;

    public Merge() {
    }

    public enum Status {

        FAST_FORWARD,
        FAST_FORWARD_SQUASHED,
        ALREADY_UP_TO_DATE,
	FAILED,
	MERGED,
        MERGED_SQUASHED,
        MERGED_SQUASHED_NOT_COMMITTED,
	CONFLICTING,
        ABORTED,
        MERGED_NOT_COMMITTED,
	NOT_SUPPORTED,
        CHECKOUT_CONFLICT;
    }


    public static class Result implements Serializable {

        private static final long serialVersionUID = 1L;
        
        public Result() {
        }

        private Status status;

        private String[] conflicts;

        public Status getStatus() {
            return status;
        }

        public void setStatus(Status status) {
            this.status = status;
        }

        public String[] getConflicts() {
            return conflicts;
        }

        public void setConflicts(String[] conflicts) {
            this.conflicts = conflicts;
        }

    }

    // Also used for plain commits
    // Also used for creating branches/tags
    public static class Request {

        private String repository;

        private String target;

        private String src;

        private String message;

        private String authorName;

        private String authorEmail;

        private boolean squashCommits;

        private Map<String,String> files;
        
        private String latestCommitId;

        public String getRepository() {
            return repository;
        }

        public void setRepository(String repository) {
            this.repository = repository;
        }

        public String getTarget() {
            return target;
        }

        public void setTarget(String target) {
            this.target = target;
        }

        public String getSrc() {
            return src;
        }

        public void setSrc(String src) {
            this.src = src;
        }

        public String getMessage() {
            return message;
        }

        public void setMessage(String message) {
            this.message = message;
        }

        public String getAuthorName() {
            return authorName;
        }

        public void setAuthorName(String authorName) {
            this.authorName = authorName;
        }

        public String getAuthorEmail() {
            return authorEmail;
        }

        public void setAuthorEmail(String authorEmail) {
            this.authorEmail = authorEmail;
        }

        public boolean isSquashCommits () {
            return squashCommits;
        }

        public void setSquashCommits (boolean squashCommits) {
            this.squashCommits = squashCommits;
        }

        public Map<String, String> getFiles() {
            return files;
        }

        public void setFiles(Map<String, String> files) {
            this.files = files;
        }
        
        public String getLatestCommitId () {
            return latestCommitId;
        }
        
        public void setLatestCommitId (String commitId) {
            latestCommitId = commitId;
        }

    }

}
