/*******************************************************************************
 * Copyright (c) 2010, 2012 Oracle and/or its affiliates
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Oracle and/or its affiliates.
 ******************************************************************************/

package com.tasktop.c2c.server.scm.domain;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.Set;

/**
 *
 * @author phrebejk
 */
public class Search {

    public static class Result {

        private int hitCount;

        private long searchTime;

        private float maxScore;

        private List<Hit> hits = new ArrayList<Hit>();

        private List<String> suggests = new ArrayList<String>();

        public int getHitCount() {
            return hitCount;
        }

        public void setHitCount(int hitCount) {
            this.hitCount = hitCount;
        }

        public long getSearchTime() {
            return searchTime;
        }

        public void setSearchTime(long searchTime) {
            this.searchTime = searchTime;
        }

        public List<Hit> getHits() {
            return hits;
        }

        public void setHits(List<Hit> hits) {
            this.hits = hits;
        }

        public float getMaxScore() {
            return maxScore;
        }

        public void setMaxScore(float maxScore) {
            this.maxScore = maxScore;
        }

        public List<String> getSuggests() {
            return suggests;
        }

        public void setSuggests(List<String> suggests) {
            this.suggests = suggests;
        }

    }

    public static class Hit {

        private String text;

        private String type;

        private String commitId;

        private Commit commit;

        private float score;

        private int more;

        private List<Highlight> highlights = new ArrayList<Highlight>();

        public String getCommitId() {
            return commitId;
        }

        public void setCommitId(String commitId) {
            this.commitId = commitId;
        }

        public Commit getCommit() {
            return commit;
        }

        public void setCommit(Commit commit) {
            this.commit = commit;
        }

        public String getText() {
            return text;
        }

        public void setText(String text) {
            this.text = text;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public float getScore() {
            return score;
        }

        public void setScore(float score) {
            this.score = score;
        }

        public int getMore() {
            return more;
        }

        public void setMore(int more) {
            this.more = more;
        }

        public List<Highlight> getHighlights() {
            return this.highlights;
        }

        public void setHighlights(List<Highlight> highlights) {
            this.highlights = highlights;
        }
    }

    public static class Highlight {
        private int lineNumber;
        private String line;
        private Set<? extends String> tokens = Collections.emptySet();

        public int getLineNumber() {
            return this.lineNumber;
        }

        public void setLineNumber(int lineNumber) {
            this.lineNumber = lineNumber;
        }

        public String getLine() {
            return this.line;
        }

        public void setLine(String line) {
            this.line = line;
        }

        public Set<? extends String> getTokens() {
            return this.tokens;
        }

        public void setTokens(Set<? extends String> tokens) {
            this.tokens = tokens;
        }
    }

}
